Subject: bug#68234: [PATCH] Increase blink-matching-paren-distance by 300kb.

From: Antero Mejr <[email-masked]>
Date: Thu, 04 Jan 2024 21:36:09 +0000

Daniel Martín <[email-masked]> writes:

> Do you have a practical example of those expressions that are 10,000
> lines long?  I think they are rare enough that people affected by
> possible paren mismatching with them could simply tweak
> blink-matching-paren-distance in their customization file.

First time seeing it was an SXML expression for a website (about 6k
lines), second time was an allowlist filter (about 10k lines).

I don't think there is a noticable performance penalty in searching a
wider region, which is why I proposed increasing the default.